# QXmlFormatter Class Reference

### [com.trolltech.qt.xmlpatterns package]

Inherits QXmlSerializer.

### Constructor

- void QXmlFormatter(QXmlQuery query, QIODevice outputDevice)

### Constructor Properties

- prototype: The QXmlFormatter prototype object

### Prototype Object Properties

The QXmlFormatter prototype object inherits properties from the QXmlSerializer prototype object and also has the following properties.

- int indentationDepth()
- void setIndentationDepth(int depth)

### Instance Properties

QXmlFormatter objects have no special properties beyond those inherited from the QXmlFormatter prototype object.